- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::Command::DispatcherPair Class Reference

Inheritance diagram for Mers::Executives::DeductiveController::Command::DispatcherPair:

[legend]
Collaboration diagram for Mers::Executives::DeductiveController::Command::DispatcherPair:

[legend]
List of all members.

## Public Member Functions
| DispatcherPair (ExecutionInterfaceBase *connection, ExecutionInterfaceBase::TaskIdentifier task)
| ~DispatcherPair ()
void | dispatch ()
virtual void | print (ostream &out) const
## Protected Attributes
ExecutionInterfaceBase * | mConnection
| The connection that this pair communicates with.
ExecutionInterfaceBase::TaskIdentifier | mTask
| The task that this object dispatches.

## Detailed Description

Definition at line 45 of file CommandDispatcher.cpp.

## Constructor & Destructor Documentation

Mers::Executives::DeductiveController::Command::DispatcherPair::DispatcherPair | ( | ExecutionInterfaceBase * | connection,
|  | ExecutionInterfaceBase::TaskIdentifier | task |
| ) |  |  | `[inline]`

Creates a new pairing of a dispatcher and the task that should be sent to it.

Parameters:

  | connection | the dispatcher that is being sent the task.
  | task | the task being sent.

Definition at line 54 of file CommandDispatcher.cpp.

Mers::Executives::DeductiveController::Command::DispatcherPair::~DispatcherPair | ( |  | ) | `[inline]`

Destroys this object.

Definition at line 63 of file CommandDispatcher.cpp.

References Mers::Interfaces::ExecutionInterfaceBase::deleteTask(), mConnection, and mTask.

Here is the call graph for this function:

## Member Function Documentation

virtual void Mers::Executives::DeductiveController::Command::DispatcherPair::print | ( | ostream & | out | ) | const`[inline, virtual]`

called to print this object to the specified ostream. Derived classes must define this.

Parameters:

  | out | the ostream to print this object information to

Implements Mers::Utils::Lang::BaseModelObject.

Definition at line 80 of file CommandDispatcher.cpp.

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Command/CommandDispatcher.cpp